---
id: transferdetaildto
title: "TransferDetailDto"
description: ""
sidebar_label: "TransferDetailDto"
hide_title: true
hide_table_of_contents: true
schema: true
sample: {"localId":"local-12345","remoteId":"remote-98765","role":"provider","remoteAddress":"http://example.com/","remoteParty":"party-identifier-001","state":"dspace:REQUESTED","process":{"step":"upload","progress":50},"agreementId":"agreement-45678","format":"application/json","modifiedDate":"2023-10-01T12:34:56Z","dataAddress":{"type":"S3","bucketName":"example-bucket","region":"us-east-1"},"dataPlaneTransfer":{"transportProtocol":"HTTP","endpoint":"https://data-plane.example.com/transfer"},"events":[{"time":"2023-10-01T12:00:00Z","state":"dspace:STARTED","localMessage":"Upload started.","code":"STARTED","reason":[{"language":"en","value":"Transfer initiated"}],"type":"local"}]}
custom_edit_url: null
---

import Schema from "@theme/Schema";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"TransferDetailDto"}
>
</Heading>





<Schema
  schema={{"type":"object","properties":{"localId":{"type":"string","example":"local-12345"},"remoteId":{"type":"string","example":"remote-98765"},"role":{"type":"string","example":"provider"},"remoteAddress":{"type":"string","example":"http://example.com/"},"remoteParty":{"type":"string","example":"party-identifier-001"},"state":{"type":"string","enum":["dspace:REQUESTED","dspace:STARTED","dspace:TERMINATED","dspace:COMPLETED","dspace:SUSPENDED"],"example":"dspace:REQUESTED"},"process":{"example":{"step":"upload","progress":50},"allOf":[{"type":"object","properties":{"@type":{"type":"string","example":"dspace:TransferProcess"},"dspace:providerPid":{"type":"string","example":"provider-pid-789"},"dspace:consumerPid":{"type":"string","example":"consumer-pid-123"},"dspace:agreementId":{"type":"string","example":"agreement-id-456"},"dspace:state":{"type":"string","example":"COMPLETED"}},"required":["@type","dspace:providerPid","dspace:consumerPid","dspace:agreementId","dspace:state"],"title":"TransferProcessSchema"}]},"agreementId":{"type":"string","example":"agreement-45678"},"format":{"type":"string","example":"application/json"},"modifiedDate":{"format":"date-time","type":"string","example":"2023-10-01T12:34:56Z"},"dataAddress":{"example":{"type":"S3","bucketName":"example-bucket","region":"us-east-1"},"allOf":[{"type":"object","properties":{"@type":{"type":"string","example":"dspace:DataAddress"},"dspace:endpointType":{"type":"string","example":"http"},"dspace:endpoint":{"type":"string","example":"https://api.example.com"},"dspace:endpointProperties":{"example":[{"@type":"dspace:EndpointProperty","dspace:name":"endpointName","dspace:value":"endpointValue"}],"type":"array","items":{"type":"object","properties":{"@type":{"type":"string","example":"dspace:EndpointProperty"},"dspace:name":{"type":"string","example":"endpointName"},"dspace:value":{"type":"string","example":"endpointValue"}},"required":["@type","dspace:name","dspace:value"],"title":"EndpointPropertySchema"}}},"required":["@type","dspace:endpointType","dspace:endpoint","dspace:endpointProperties"],"title":"DataAddressSchema"}]},"dataPlaneTransfer":{"example":{"transportProtocol":"HTTP","endpoint":"https://data-plane.example.com/transfer"},"allOf":[{"type":"object","properties":{"accepted":{"type":"boolean","example":true},"identifier":{"type":"string","example":"req-identifier"},"dataAddress":{"example":{"endpoint":"http://address","properties":[{"name":"key","value":"value"}]},"allOf":[{"type":"object","properties":{"endpoint":{"type":"string","example":"http://data-plane-endpoint"},"properties":{"example":[{"name":"propertyName","value":"propertyValue"}],"type":"array","items":{"type":"object","properties":{"name":{"type":"string","example":"propertyName"},"value":{"type":"string","example":"propertyValue"}},"required":["name","value"],"title":"DataPlaneProperty"}}},"required":["endpoint","properties"],"title":"DataPlaneAddressDto"}]},"callbackAddress":{"type":"string","example":"http://callback-address"},"dataPlaneIdentifier":{"type":"string","example":"transfer-identifier"},"endpointType":{"type":"string","example":"type1"}},"required":["accepted","identifier","dataPlaneIdentifier","endpointType"],"title":"DataPlaneTransferDto"}]},"events":{"example":[{"time":"2023-10-01T12:00:00Z","state":"dspace:STARTED","localMessage":"Upload started.","code":"STARTED","reason":[{"language":"en","value":"Transfer initiated"}],"type":"local"}],"type":"array","items":{"type":"object","properties":{"time":{"format":"date-time","type":"string","example":"2023-10-01T12:00:00Z"},"state":{"type":"string","enum":["dspace:REQUESTED","dspace:STARTED","dspace:TERMINATED","dspace:COMPLETED","dspace:SUSPENDED"],"example":"dspace:COMPLETED"},"localMessage":{"type":"string","example":"The transfer completed successfully."},"code":{"type":"string","example":"ERR_NONE"},"reason":{"example":[{"language":"en","value":"Operation successful"}],"allOf":[{"type":"object","properties":{"@value":{"type":"string","example":"This is a sentence."},"@language":{"type":"string","example":"en"}},"required":["@value","@language"],"title":"MultilanguageSchema"}]},"type":{"type":"string","enum":["local","remote"],"example":"local"}},"required":["time","state","type"],"title":"TransferEventDto"}}},"required":["localId","role","remoteAddress","remoteParty","state","process","agreementId","modifiedDate","dataPlaneTransfer","events"],"title":"TransferDetailDto"}}
  schemaType={"response"}
>
  
</Schema>
            